package com.zm.order.tool.server.query;

import com.alibaba.fastjson.JSON;
import com.zm.order.tool.server.model.BasePageQuery;

import java.util.Objects;

/**
 * @author nianchang
 * @ClassName OrderCommentCountQuery
 * @date 2021/05/13 2:35 下午
 */
public class OrderItemCommentCountQuery extends BasePageQuery {

    /**
     * 商家id
     */
    private Long sellerId;

    /**
     * 门店id
     */
    private Long storeId;

    /**
     * 商品id
     */
    private Long goodsId;

    /**
     * skuId
     */
    private String itemId;

    @Override
    public int hashCode() {
        return Objects.hash(sellerId, storeId, goodsId, itemId);
    }

    public String sumKey() {
        return "SUM" + ":" + sellerId + ":" + storeId + ":"+ goodsId + ":" + this.hashCode();
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
